Start Worker For Queue
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"worker_id": "<string>",
"task_queue_name": "<string>",
"temporal_namespace": "<string>",
"temporal_host": "<string>",
"temporal_api_key": "<string>",
"organization_id": "<string>",
"control_plane_url": "<string>",
"heartbeat_interval": 123,
"litellm_api_url": "<string>",
"litellm_api_key": "<string>",
"queue_name": "<string>",
"environment_name": "<string>",
"queue_id": "<string>",
"control_plane_sdk_version": "<string>",
"queue_ephemeral": false,
"queue_single_execution": false,
"redis_url": "<string>",
"redis_password": "<string>",
"redis_enabled": false,
"websocket_enabled": true,
"websocket_url": "<string>",
"websocket_features": [
"<string>"
],
"nats_config": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Start Worker For Queue
Start a worker for a specific queue.
This endpoint is called by the CLI with: kubiya worker start —queue-id=
Returns all configuration needed for the worker to connect to Temporal.
POST
/
api
/
v1
/
worker-queues
/
{queue_id}
/
start
Start Worker For Queue
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"worker_id": "<string>",
"task_queue_name": "<string>",
"temporal_namespace": "<string>",
"temporal_host": "<string>",
"temporal_api_key": "<string>",
"organization_id": "<string>",
"control_plane_url": "<string>",
"heartbeat_interval": 123,
"litellm_api_url": "<string>",
"litellm_api_key": "<string>",
"queue_name": "<string>",
"environment_name": "<string>",
"queue_id": "<string>",
"control_plane_sdk_version": "<string>",
"queue_ephemeral": false,
"queue_single_execution": false,
"redis_url": "<string>",
"redis_password": "<string>",
"redis_enabled": false,
"websocket_enabled": true,
"websocket_url": "<string>",
"websocket_features": [
"<string>"
],
"nats_config": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Enter your Kubiya API token (format: Bearer )
Path Parameters
Body
application/json
Response
Successful Response
Worker start configuration
Show child attributes
Show child attributes
Was this page helpful?